package com.xyzshell.andinfo.libs.gpu.models

enum class VkPhysicalDeviceType(val value: Long) {
    OTHER(0),
    INTEGRATED_GPU(1),
    DISCRETE_GPU(2),
    VIRTUAL_GPU(3),
    CPU(4),
    ;

    companion object {
        fun fromValue(value: Long) = values().firstOrNull { it.value == value }
    }
}
